=== debian/changelog ===
tap-plugins (0.7.0-2) unstable; urgency=low

  * Include documentation (Closes: #303230)
  * Revert change to biquad_run function (Closes: #315575)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 31 Oct 2005 18:45:50 +1100

tap-plugins (0.7.0-1) unstable; urgency=low

  * New upstream release (closes: #294086)

 -- Anand Kumria <wildfire@progsoc.org>  Thu, 24 Feb 2005 09:40:13 +1100

tap-plugins (0.6.0-1) unstable; urgency=low

  * Many new upstream releases
  * Documentation removed, it shall return.

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 19 Jul 2004 02:32:50 +1000
  

tap-plugins (0.3.0-2) unstable; urgency=low

  * Correct doc-base to point to right file (closes: #232686)
  * Provide virtual package 'ladspa-plugin' so we get recommended
    by more hosts

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 16 Feb 2004 01:38:56 +1100

tap-plugins (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update web-site and email references. Improve description.

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  7 Feb 2004 23:55:05 +1100

tap-plugins (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Use 'mkdir -p' rather than mkdirhier

 -- Anand Kumria <wildfire@progsoc.org>  Wed,  4 Feb 2004 15:05:32 +1100

tap-plugins (0.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 26 Jan 2004 16:51:30 +1100
