=== debian/control ===
Source: tap-plugins
Section: sound
Priority: optional
Maintainer: Anand Kumria <wildfire@progsoc.org>
Build-Depends: debhelper (>= 4.0.0), sharutils
Standards-Version: 3.6.2.1

Package: tap-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ladspa-plugin
Description: Tom's Audio Processing LADSPA plugins
 Tom Szilagyi has written a number of plugins for LADSPA
 compatible hosts (e.g. Ardour, GNU Sound and GStreamer).
 .
 The plugins (Equalizer, Reverberator, Stereo Echo, Tremolo,
 Scaling Limiter, AutoPanner and DeEsser) have been written 
 primarily for Ardour but should work well with any LADSPA 
 host.
 .
 Homepage: http://tap-plugins.sourceforge.net/
