=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# # from having to guess our platform (since we know it already)
# DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
# DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) 
	#/usr/bin/docbook-to-man debian/tap-0.1.sgml > tap-0.1.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	# remove any images
	find . -name "*.png" -exec rm '{}' \;
	find . -name "*.gif" -exec rm '{}' \;

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tap-0.1.
	$(MAKE) install INSTALL_PLUGINS_DIR=$(CURDIR)/debian/tap-plugins/usr/lib/ladspa INSTALL_LRDF_DIR=$(CURDIR)/debian/tap-plugins/usr/share/ladspa/rdf
	# decode the images
	cd $(CURDIR)/doc && \
	find . -maxdepth 1 -name "*.b64" -exec uudecode '{}' \; 
	cd $(CURDIR)/doc/ladspa && \
	find . -maxdepth 1 -name "*.b64" -exec uudecode '{}' \; 
	cd $(CURDIR)/doc/reverbed && \
	find . -maxdepth 1 -name "*.b64" -exec uudecode '{}' \;
	cd $(CURDIR)
	# copy docs over
	mkdir -p $(CURDIR)/debian/tap-plugins/usr/share/doc/tap-plugins/html
	cp -r doc/* $(CURDIR)/debian/tap-plugins/usr/share/doc/tap-plugins/html/
	# remove any base64 files
	find $(CURDIR)/debian/tap-plugins/usr/share/doc/tap-plugins/html -name "*.b64" -exec rm '{}' \;


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
